<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<%@page import="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm.ExportHttpMethodItem" %> 

<tiles:useAttribute name="title" classname="java.lang.String" />
<tiles:useAttribute name="formName" classname="java.lang.String" />
<tiles:useAttribute name="iterationProperty" classname="java.lang.String" />

	<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="1" WIDTH="100%"
		SUMMARY="List table" CLASS="framing-table">
		<TR VALIGN="TOP">
		<TH NOWRAP VALIGN="TOP" CLASS="column-head-name" SCOPE="col"
				id="selectCell" WIDTH="1%" align="center">
				<label for="selectCell" title="<bean:message key="ScaModules.httpExport.method.help"/>">
				<bean:message key="ScaModules.Binding.method.displayName" />
				</label>
				</TH>
		<TH VALIGN="TOP" CLASS="column-head-name" SCOPE="col"
				WIDTH="1%" ID="method" align="center">
				<label for="method" title="<bean:message key="ScaModules.httpExport.pingable.help"/>">
				<bean:message
				key="ScaModules.Binding.pingable.displayName" />
				</label>
				</TH>
		<TH VALIGN="TOP" CLASS="column-head-name" SCOPE="col"
				WIDTH="1%" ID="code" align="center">
				<label for="code" title="<bean:message key="ScaModules.httpExport.returnCode.help"/>">
				<bean:message
				key="ScaModules.Binding.returncode.displayName" />
				</label>
				</TH>			
		</TR>
				
		<logic:iterate id="eachMethod" name="<%=formName%>"
			property="<%=iterationProperty%>">	
			<TR CLASS="table-row">	
			<%	
			ExportHttpMethodItem item=(ExportHttpMethodItem)eachMethod;
			
			String eachMethodString = item.getMethodName();
			
			String pingable="";
			
			if(item.isPingable())
				pingable="checked";
			
			String returnCode=item.getReturnCode();
			 %>
				<TD VALIGN="top" width="1%" class="collection-table-text"
					headers="selectCell" align="center">
				<%=eachMethodString%>	
				</TD>
				<TD VALIGN="top" width="1%" class="collection-table-text"
					headers="selectCell" align="center">
					<INPUT TYPE="CHECKBOX" NAME="pingableCheckbox" VALUE="<%=eachMethodString %>" Id="<%=eachMethodString %>" 
					 <%=pingable%>>
				</TD>
				<TD VALIGN="top" width="1%" class="collection-table-text"
					headers="selectCell" align="center">
					<INPUT TYPE="TEXT" NAME="returnCodeText" VALUE="<%=returnCode%>" Id="<%=eachMethodString%>" >
				</TD>
			</TR>
		</logic:iterate>	
		<html:hidden name="<%=formName%>" property="pingableString" styleId="pingableString" />		
		<html:hidden name="<%=formName%>" property="returnCodeString" styleId="returnCodeString" />
	</TABLE>											
