<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%-- 
@author xbyu@cn.ibm.com
--%>
<%@ page import="java.util.Iterator"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>

<%-- Layout component 
  Render a list of tiles in a vertical column
  @param : list List of names to insert 
--%>

<tiles:useAttribute name="list" classname="java.util.List" />
<tiles:useAttribute name="preferenceList" classname="java.util.List" ignore="true"/>
<tiles:useAttribute name="searchList" classname="java.util.List" ignore="true"/>
<tiles:useAttribute name="parent" classname="java.lang.String"/>
<tiles:useAttribute name="formAction" classname="java.lang.String" scope="request"/>
<tiles:useAttribute name="formName" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />
<tiles:useAttribute name="buttons" classname="java.lang.String" />
<tiles:useAttribute name="showCheckBoxes" classname="java.lang.String" />
<tiles:useAttribute name="selectUri" classname="java.lang.String" />
<tiles:useAttribute name="idColumn" classname="java.lang.String" />
<tiles:useAttribute name="idColumnDisplayFieldName" classname="java.lang.String" />
<tiles:useAttribute name="htmlFilter" classname="java.lang.String" />

<%-- Iterate over names.
  We don't use <iterate> tag because it doesn't allow insert (in JSP1.1)
 --%>

<%
String savePaging = "";
Iterator i=list.iterator();
while( i.hasNext() )
  {
  String name= (String)i.next();
     if (name.indexOf("paging") > -1) {
        savePaging = name;
     } else {

        // <tiles:put name="displayLabelKey" beanName="displayLabelKey" beanScope="page"/>
        if (name.endsWith("paging.extend")) { %>
        <tiles:insert name="<%=name%>" flush="true">
            <tiles:put name="formAction" beanName="formAction" beanScope="request"/>
            <tiles:put name="formName" beanName="formName" beanScope="page"/>
            <tiles:put name="formType" beanName="formType" beanScope="page"/>
        </tiles:insert>
     <% } else if (name.endsWith("quicksearch.extend")) { 
            String selectUriString = formAction+"?ToggleViewAction=true";

     %>
        <tiles:insert name="<%=name%>" flush="true">
            <tiles:put name="formAction" beanName="formAction" beanScope="request"/>
            <tiles:put name="formName" beanName="formName" beanScope="page"/>
            <tiles:put name="formType" beanName="formType" beanScope="page"/>
            <tiles:put name="collectionForm" beanName="formName" beanScope="page"/>
            <tiles:put name="selectUri" beanName="selectUri" beanScope="page"/>
            <tiles:put name="searchList" beanName="searchList" beanScope="page"/>
        </tiles:insert>
     <% } else if (name.endsWith("collection.table.extends")) { %>
        <tiles:insert name="<%=name%>" flush="true">
            <tiles:put name="collectionPreferenceList" beanName="preferenceList" beanScope="page"/>
            <tiles:put name="searchList" beanName="searchList" beanScope="page"/>
            <tiles:put name="parent" beanName="parent" beanScope="page"/>
            <tiles:put name="formAction" beanName="formAction" beanScope="request"/>
            <tiles:put name="formName" beanName="formName" beanScope="page"/>
            <tiles:put name="formType" beanName="formType" beanScope="page"/>
            <tiles:put name="iterationName" beanName="formName" beanScope="page"/>
            <tiles:put name="buttons" beanName="buttons" beanScope="page"/>
            <tiles:put name="showCheckBoxes" beanName="showCheckBoxes" beanScope="page"/>
            <tiles:put name="idColumn" beanName="idColumn" beanScope="page"/>
            <tiles:put name="idColumnDisplayFieldName" beanName="idColumnDisplayFieldName" beanScope="page"/>
            <tiles:put name="htmlFilter" beanName="htmlFilter" beanScope="page"/>
        </tiles:insert>
     <% } else { %>
        <tiles:insert name="<%=name%>" flush="true" />
     <%
        }
     }
  } // end loop
  
   //  Used as a temporary fix to place paging layout at the bottom of collections
   if (!savePaging.equals("")) {
%>
    <tiles:insert name="<%=savePaging%>" flush="true" />
<%
   }
%>

