<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles"%>

<%@ page import="com.ibm.ws.console.core.ConfigFileHelper"%>
<%@ page import="com.ibm.ws.console.wbi.coreceipme.CEIDestConfigForm"%>

<tiles:useAttribute name="bean" classname="java.lang.String" />
<tiles:useAttribute name="formAction" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />


<bean:define id="jndiDestText" name="<%=bean%>" property="jndiDestText"
	type="java.lang.String" />
<bean:define id="jndiDest" name="<%=bean%>" property="jndiDest"
	type="java.lang.String" />
<bean:define id="jndiDestSelect" name="<%=bean%>"
	property="jndiDestSelect" type="java.lang.String" />
<bean:define id="radioJndi" name="<%=bean%>" property="radioJndi"
	type="java.lang.String" />
<bean:define id="enableCEIServer" name="<%=bean%>"
	property="enableCEIServer" type="java.lang.Boolean" />


<%
CEIDestConfigForm formbean = (CEIDestConfigForm) session
                    .getAttribute(bean);
ArrayList jndiList = formbean.getExistedJndiList();
%>

<script type="text/javascript">

function disableSelect(){
enableDisable('jndiTextCheck:jndiText:enableCEIServer,jndiSelectCheck:jndiSelect');
}

function disableText(){
enableDisable('jndiSelectCheck:jndiSelect:enableCEIServer,jndiTextCheck:jndiText');
}

</script>

<%
boolean isComeFromWizard = false;
if (bean.indexOf("com.ibm.ws.console.wbi.ndconfig.form") != -1)
{
    isComeFromWizard = true;
}
if (!isComeFromWizard)
{
%>
<script language="JavaScript"
	src="/ibm/console/scripts/menu_functions.js"></script>
<td class="table-text" scope="row" valign="top" nowrap>
<%
}

%>
<table border="0" cellspacing="0" cellpadding="3">
	<tr valign="top">
		<td class="table-text" nowrap>
			<label for="enableCEIServer"
			title="<bean:message key="WPSCluster.ceidestconfig.enableservice.description"/>">
				<html:checkbox
				property="enableCEIServer" styleId="enableCEIServer" name="<%=bean%>"
				disabled="false" /><input type="hidden" name="enableCEIServer"
				value="false" /> 
				<bean:message key="WPSCluster.ceidestconfig.enableservice.label" />
			</label>
		</td>
	</tr>
	<tr valign="top">
		<td class="table-text" nowrap>
		<label title="<bean:message key="WPSCluster.ceidestconfig.jndiname.description"/>"><bean:message key="WPSCluster.ceidestconfig.jndiname.label" /></label>
		</td>
	</tr>
	<tr valign="top">
		<td class="table-text" nowrap>
			<label for="jndiSelect" title="<bean:message key="WPSCluster.ceidestconfig.jndiDestSelect.description"/>">
				<html:radio property="radioJndi"
				value="select" styleId="jndiSelectCheck" disabled="false"
				onclick="disableText()" onkeypress="disableText()" /> </label>
				<html:select property="jndiDestSelect"
				name="<%=bean%>" styleId="jndiSelect" disabled="false">
				<%
				if (jndiList != null)
				{
					for (int j = 0; j < jndiList.size(); j++)
					{
							String value = (String) jndiList.get(j);		
				%>
				<html:option value="<%=value%>">
					<%=value%>
				</html:option>
				
				<%         
					}
				}%>
				</html:select>
			
		</td>
	</tr>
	<tr valign="top">
		<td class="table-text" nowrap>
			<label for="jndiText" title="<bean:message key="WPSCluster.ceidestconfig.jndiDestText.description"/>">
				<html:radio property="radioJndi"
				value="text" styleId="jndiTextCheck" disabled="false"
				onclick="disableSelect()" onkeypress="disableSelect()" /> 
				<html:text property="jndiDestText"
				name="<%=bean%>" size="50" styleId="jndiText" styleClass="textEntry"
				disabled="false" />
			</label>	
		</td>
	</tr>
</table>

<%
if (!isComeFromWizard)
{
%></td>
<%
}
%>
