<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*,org.apache.struts.util.MessageResources,org.apache.struts.action.Action"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<!--  property is used to pass attributes for other fields in this jsp -->
<tiles:useAttribute id="units" name="units" classname="java.lang.String"/>
<tiles:useAttribute id="property" name="property" classname="java.lang.String"/>
<tiles:useAttribute id="formBean" name="formBean" classname="java.lang.String"/>
<tiles:useAttribute id="isRequired" name="isRequired" classname="java.lang.String" />
<tiles:useAttribute id="size" name="size" classname="java.lang.String" />

<%
    StringTokenizer st = new StringTokenizer(property, "/");
    String hostNameLabel = st.nextToken();
    String hostNameProperty = st.nextToken();
    String hostPortLabel = st.nextToken();
    String hostPortProperty = st.nextToken();   
    String typeLabel = st.nextToken();
    String typeProperty = st.nextToken();
    String dmSecurityProperty = st.nextToken();
    while(st.hasMoreTokens())
    	dmSecurityProperty += "/"+st.nextToken();
%>

	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	         
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="<%=hostNameProperty%>" />
        <tiles:put name="isReadOnly" value="false" />
        <tiles:put name="isRequired" value="yes" />
        <tiles:put name="label" value="<%=hostNameLabel%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value=""/>
        <tiles:put name="bean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>
        
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="<%=hostPortProperty%>" />
        <tiles:put name="isReadOnly" value="false" />
        <tiles:put name="isRequired" value="yes" />
        <tiles:put name="label" value="<%=hostPortLabel%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value=""/>
        <tiles:put name="bean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>
        
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="<%=typeProperty%>" />
        <tiles:put name="isReadOnly" value="false" />
        <tiles:put name="isRequired" value="yes" />
        <tiles:put name="label" value="<%=typeLabel%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value=""/>
        <tiles:put name="bean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>
        
	<tr valign="top">
        <tiles:insert page="/com.ibm.ws.console.wbi.remoteartifactloader/configSecurity.jsp" flush="false">
        <tiles:put name="property" value="<%=dmSecurityProperty%>" />
        <tiles:put name="isRequired" value="<%=isRequired%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value="<%=units%>"/>
        <tiles:put name="formBean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>

    </table>

