<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page language="java" contentType="text/html; charset=gbk"%>
<%@ page import="com.ibm.ws.console.wbi.sibexplorer.*" %>
<%@ page import="com.ibm.ws.console.wbi.sibexplorer.presentation.*" %>
<%@ page import="java.util.List" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<ibmcommon:detectLocale/>
<html:html locale="true">
  <head>
  <meta http-equiv="content-type" content="text/html; charset=gbk">
  <title></title>

  <style type="text/css">
	.ytree {
		color: black;
		white-space: nowrap;
	}
	.ytree img {
	  border: 0px;
	  vertical-align: middle;
	}
	.ytree a:link{text-decoration:none}
	.ytree a:visited{text-decoration:none}
	.ytree a:hover {color: #ff00ff;text-decoration:none} //underline onmouse

  
  </style>
  <script language="javascript">
  	
  	function togglePlusMinus(e)
	{
	    if (e.src.indexOf("plus.gif") != -1)
	    {
	        e.src = "icons/minus.gif";
	        e.alt = toPlus;
	        e.title = toPlus;
	    }   
	    else if (e.src.indexOf("minus.gif") != -1)
	    {
	        e.src = "icons/plus.gif";
	        e.alt = toMinus;
	        e.title = toMinus;
	    }    
	    else if (e.src.indexOf("plus") != -1)
	    {
	        e.src = "icons/minusbottom.gif";
	        e.alt = toPlus;
	        e.title = toPlus;
	    }    
	    else if (e.src.indexOf("minus") != -1)
	    {
	        e.src = "icons/plusbottom.gif";  
	        e.alt = toMinus;
	        e.title = toMinus;
	    }  
	                
	}
	
	function toggleChildrenWithExcerpt (id, divID)
	{
	    var pE = document.getElementById(id);
	    var ele = document.getElementById(divID);
	    
	    if ( ele != null && ele.style.display == "none") 
	    {
	        //alert(ele.style.display);
	        pE.style.display = "";
	        ele.style.display = "inline";
	    } 
	    else if ( ele != null && ele.style.display == "inline") 
	    { 
	        ele.style.display = "none";
	        pE.style.display = "none";
	    } 
	    
	}
  </script>
  </head>
  <body>
  <%
  		//renew the SIBExploerHelper everytime when refresh the page
  		SibExplorerHelper helper= new SibExplorerHelper(request); 
        List itemList=helper.configAll();
        
        //set the helper in the session
        request.getSession().setAttribute(SIBExplorerConstants.SESSION_KEY_OF_SIB_EXPLORER_HELPER,helper);
        if(itemList.size()>0)
        {
	        SibTree tree = new SibTree((SIBTreeItem)itemList.get(0), itemList, request.getLocale());
	        String str=tree.drawTree();
	        out.write(str);
	        %>
	        <script language="javascript">
	        	var toMinus = "<%=tree.getTREE_NODE_TO_MINUS() %>";
	        	var toPlus = "<%=tree.getTREE_NODE_TO_PLUS() %>";
	        </script>
	        <%
        }        
  %>
  </body>
</html:html>
